> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payroll Task Status



## OpenAPI

````yaml /api-reference/preview.json get /gb/organizations/{organization_id}/payrolls/{payroll_status_id}/tasks/payroll-calculation/{task_id}/status
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /gb/organizations/{organization_id}/payrolls/{payroll_status_id}/tasks/payroll-calculation/{task_id}/status:
    get:
      tags:
        - Great Britain
        - Great Britain Payroll Run
      summary: Get Payroll Task Status
      operationId: >-
        get_payroll_task_status_gb_organizations__organization_id__payrolls__payroll_status_id__tasks_payroll_calculation__task_id__status_get
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Organization Id
        - name: task_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Task Id
        - name: payroll_status_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Payroll Status Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkTaskStatusResponse_PayrollTaskStatus_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    BulkTaskStatusResponse_PayrollTaskStatus_:
      properties:
        status:
          $ref: '#/components/schemas/PayrollTaskStatus'
        statistics:
          anyOf:
            - $ref: '#/components/schemas/TaskStatisticsResponse'
            - type: 'null'
          description: >-
            Statistics about the bulk task. Can be null if the task has not
            started processing yet.
      additionalProperties: true
      type: object
      required:
        - status
        - statistics
      title: BulkTaskStatusResponse[PayrollTaskStatus]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PayrollTaskStatus:
      type: string
      enum:
        - DRAFT
        - IN_PROGRESS
        - SUCCESS
        - FAILED
      title: PayrollTaskStatus
    TaskStatisticsResponse:
      properties:
        total:
          type: integer
          title: Total
          description: Total number of items to be processed
        success:
          type: integer
          title: Success
          description: Number of items success so far
        failed:
          type: integer
          title: Failed
          description: >-
            Number of items that failed processing. Available for bulk tasks
            only
      additionalProperties: true
      type: object
      required:
        - total
        - success
        - failed
      title: TaskStatisticsResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerToken:
      type: oauth2
      flows:
        password:
          scopes:
            read:all: Read all
            write:all: Write all
            read:health_check: Read health check
            write:health_check: Write health check
            read:wage_types: Read wage types
            write:wage_types: Write wage types
          tokenUrl: >-
            https://auth-preview.intermezzo.ai/authorize?audience=api-preview.intermezzo.ai

````